## org.eclipse.emf.ecoretools.diagram.preferences
Class DiagramPreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.emf.ecoretools.diagram.preferences.DiagramPreferenceInitializer

    public class DiagramPreferenceInitializer

extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

Constructor Summary
`DiagramPreferenceInitializer()`

Method Summary
`protected org.eclipse.jface.preference.IPreferenceStore` `getPreferenceStore()`
`void` `initializeDefaultPreferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramPreferenceInitializer

    public DiagramPreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Specified by:
    `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`

### getPreferenceStore

    protected org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

Copyright 2007 Anyware Technologies. All Rights Reserved.